commit:     435732f335eb812898711b7e95fdf59b88fddb7c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 26 08:44:11 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 26 08:51:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=435732f3

net-libs/libnftnl: Bump to version 1.2.0

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-libs/libnftnl/Manifest              |  1 +
 net-libs/libnftnl/libnftnl-1.2.0.ebuild | 60 +++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-libs/libnftnl/Manifest b/net-libs/libnftnl/Manifest
index 2356757d2fd..8f5b9f21561 100644
--- a/net-libs/libnftnl/Manifest
+++ b/net-libs/libnftnl/Manifest
@@ -1 +1,2 @@
 DIST libnftnl-1.1.9.tar.bz2 389639 BLAKE2B 
230a78cc350910735c622f4996a217490ee2384a0f6809784aa3ba0de484f540ea83d8cb72933c05961103ba20339b3eae3e866135a222b6f96df0ef01ac8066
 SHA512 
8e2551a902a320769198e0ebce52596501c548e230c3172ba4989e25dcb3dd6c9b97a104af69b93ede4ef298811cff10608758e6f1d274e758d87306c4b50f25
+DIST libnftnl-1.2.0.tar.bz2 388751 BLAKE2B 
6f61e7af8e50577029b1cf5ba7260f3803a64c410c7d35be8bbf3b6f9445d9db3be367442f56fb81f3ed49bc3efeab8dd2ed51bab4a1e4427f552d48e4bb559a
 SHA512 
2a068e7eab308442bbfba5325f3aebeb874c142b029ff5906cadf63a1f879b20930bc55cd9554c5d256a0642f0f5a6d36177d9ae88cf507ab5dfc7fabffbb380

diff --git a/net-libs/libnftnl/libnftnl-1.2.0.ebuild 
b/net-libs/libnftnl/libnftnl-1.2.0.ebuild
new file mode 100644
index 00000000000..434a775727d
--- /dev/null
+++ b/net-libs/libnftnl/libnftnl-1.2.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info usr-ldscript
+
+DESCRIPTION="Netlink API to the in-kernel nf_tables subsystem"
+HOMEPAGE="https://netfilter.org/projects/nftables/";
+
+if [[ ${PV} =~ ^[9]{4,}$ ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.netfilter.org/${PN}";
+else
+       SRC_URI="https://netfilter.org/projects/${PN}/files/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0/11" # libnftnl.so version
+IUSE="examples static-libs test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=net-libs/libmnl-1.0.4"
+BDEPEND="virtual/pkgconfig"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+       if kernel_is ge 3 13; then
+               CONFIG_CHECK="~NF_TABLES"
+               linux-info_pkg_setup
+       else
+               eerror "This package requires kernel version 3.13 or newer to 
work properly."
+       fi
+}
+
+src_prepare() {
+       default
+       [[ ${PV} =~ ^[9]{4,}$ ]] && eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable static-libs static)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       gen_usr_ldscript -a nftnl
+       find "${ED}" -type f -name '*.la' -delete || die
+
+       if use examples; then
+               find examples/ -name 'Makefile*' -delete || die "Could not rm 
examples"
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to